// =========================================================== //
//                                                             //
//   File      : awt_www.hxx                                   //
//   Purpose   :                                               //
//                                                             //
//   Institute of Microbiology (Technical University Munich)   //
//   http://www.arb-home.de/                                   //
//                                                             //
// =========================================================== //

#ifndef AWT_WWW_HXX
#define AWT_WWW_HXX

#ifndef AW_BASE_HXX
#include <aw_base.hxx>
#endif


AW_window *AWT_create_www_window(AW_root *aw_root, GBDATA *gb_main);
void       awt_create_aww_vars(AW_root *aw_root, AW_default aw_def);

GB_ERROR awt_openDefaultURL_with_item(AW_root *aw_root, GBDATA *gb_main, GBDATA *gb_item);
GB_ERROR awt_open_ACI_URL_with_item(AW_root *aw_root, GBDATA *gb_main, GBDATA *gb_item, const char *url_aci);

void AWT_openURL(AW_window *aww, const char *url);

#else
#error awt_www.hxx included twice
#endif // AWT_WWW_HXX
