#!/usr/bin/perl

use strict;
use warnings;

use lib $ENV{ARBHOME}.'/SOURCE_TOOLS';
use arb_build_common;

my $verbose = 0;

my $topdir = $ENV{ARBHOME};
my $line;
while (defined($line=<STDIN>)) {
  my $formatted_line = format_asan_line($line,$topdir);
  if (defined $formatted_line) {
    if ($verbose) {
      print add_suffix($line,' [orgline_A2M]');
      print add_suffix($formatted_line, ' [formatted_A2M]');
    }
    else {
      print $formatted_line;
    }
  }
  else {
    if ($verbose) {
      print add_suffix($line,' [unformatted_A2M]');
    }
    else {
      print $line;
    }
  }
}



